Skip to main content

Not an approver

typehttps://docs.frem.sh/reference/api/errors/not-an-approver
HTTP status403 Forbidden

What it means

Only an org owner, or someone on the org’s package-policy approver list, can approve or reject a package-policy exception.

Example detail messages returned with this error:

  • You are not an owner of this org or on its package-policy approver list.

What to do

Ask an org owner to approve the exception, or to add you to the approver list (PUT /orgs/{org}/package-policy/approvers).

Response shape

All fremforge API errors are RFC 9457 problem+json:

{
  "type": "https://docs.frem.sh/reference/api/errors/not-an-approver",
  "title": "Forbidden",
  "status": 403,
  "detail": "..."
}

Branch on type, not on title or detail - those are human-readable and may be reworded.